# H245_H2250LogicalChannelAckParameters Class Reference

`#include <h245.h>`

Inheritance diagram for H245_H2250LogicalChannelAckParameters:

List of all members.

## Public Types

enum | OptionalFields { e_nonStandard, e_sessionID, e_mediaChannel, e_mediaControlChannel, e_dynamicRTPPayloadType, e_flowControlToZero, e_portNumber }

## Public Member Functions

| H245_H2250LogicalChannelAckParameters (unsigned tag=UniversalSequence, TagClass tagClass=UniversalTagClass)
PINDEX | GetDataLength () const
PBoolean | Decode (PASN_Stream &strm)
void | Encode (PASN_Stream &strm) const
void | PrintOn (ostream &strm) const
Comparison | Compare (const PObject &obj) const
PObject * | Clone () const

## Public Attributes

H245_ArrayOf_NonStandardParameter | m_nonStandard
PASN_Integer | m_sessionID
H245_TransportAddress | m_mediaChannel
H245_TransportAddress | m_mediaControlChannel
PASN_Integer | m_dynamicRTPPayloadType
PASN_Boolean | m_flowControlToZero
PASN_Integer | m_portNumber

## Member Enumeration Documentation

enum H245_H2250LogicalChannelAckParameters::OptionalFields

Enumerator:

  e_nonStandard |
  e_sessionID |
  e_mediaChannel |
  e_mediaControlChannel |
  e_dynamicRTPPayloadType |
  e_flowControlToZero |
  e_portNumber |

## Constructor & Destructor Documentation

H245_H2250LogicalChannelAckParameters::H245_H2250LogicalChannelAckParameters | ( | unsigned | tag = `UniversalSequence`,
|  | TagClass | tagClass = `UniversalTagClass` |
| ) |  |  |

## Member Function Documentation

PINDEX H245_H2250LogicalChannelAckParameters::GetDataLength | ( |  | ) | const

PBoolean H245_H2250LogicalChannelAckParameters::Decode | ( | PASN_Stream & | strm | ) |

void H245_H2250LogicalChannelAckParameters::Encode | ( | PASN_Stream & | strm | ) | const

void H245_H2250LogicalChannelAckParameters::PrintOn | ( | ostream & | strm | ) | const

Comparison H245_H2250LogicalChannelAckParameters::Compare | ( | const PObject & | obj | ) | const

PObject* H245_H2250LogicalChannelAckParameters::Clone | ( |  | ) | const

## Member Data Documentation

H245_ArrayOf_NonStandardParameter H245_H2250LogicalChannelAckParameters::m_nonStandard

PASN_Integer H245_H2250LogicalChannelAckParameters::m_sessionID

H245_TransportAddress H245_H2250LogicalChannelAckParameters::m_mediaChannel

H245_TransportAddress H245_H2250LogicalChannelAckParameters::m_mediaControlChannel

PASN_Integer H245_H2250LogicalChannelAckParameters::m_dynamicRTPPayloadType

PASN_Boolean H245_H2250LogicalChannelAckParameters::m_flowControlToZero

PASN_Integer H245_H2250LogicalChannelAckParameters::m_portNumber

The documentation for this class was generated from the following file:

- h245.h